PHP Classes
elePHPant
Icontem

File: composer.json

Recommend this page to a friend!
  Classes of Michael Cummings  >  PHP File Path Normalizer  >  composer.json  >  Download  
File: composer.json
Role: Auxiliary data
Content type: text/plain
Description: Auxiliary data
Class: PHP File Path Normalizer
Get the full path of files relative to root
Author: By
Last change: Updated composer.json to not include stuff only used for travis builds.
Couple more updates to composer.json
Update to composer.json and .travis.yml to reflect other change and hopefully fix builds on travis.
Updated minimum PHP version to 7.1 since 7.0 and below are past EOL now.
Raised maximum PHP version to include 7.3 which is available soon.
Added ext-ctype to required extensions.
Updated dependencies in composer.json to latest stable versions.
Date: 10 months ago
Size: 1,230 bytes
 

 

Contents

Class file image Download
{
    "name": "dragonrun1/file_path_normalizer",
    "description": "File_path_normalizer is a class used to normalize PHP file paths without several of the shortcomings of the built-in functions.",
    "authors": [
        {
            "name": "Michael Cummings",
            "email": "mgcummings@yahoo.com",
            "role": "Developer"
        }
    ],
    "autoload": {
        "psr-4": {
            "FilePathNormalizer\\": [
                "src/"
            ]
        }
    },
    "autoload-dev": {
        "psr-0": {
            "Spec\\": "specs/"
        }
    },
    "config": {
        "optimize-autoloader": true
    },
    "extra": {
        "branch-alias": {
            "dev-master": "2.*-dev"
        }
    },
    "license": "GPL-2.0",
    "minimum-stability": "stable",
    "require": {
        "php": ">=7.1 <7.4",
        "ext-ctype": "*"
    },
    "require-dev": {
        "roave/security-advisories": "dev-master",
        "phpspec/nyan-formatters": ">=2.0.0 <3.0.0",
        "phpspec/phpspec": ">=4.0 <5.0.0",
        "phpunit/php-code-coverage": ">=5.0 <6.0.0",
        "leanphp/phpspec-code-coverage": ">=4.2 <5.0.0"
    },
    "replace": {
        "dragonrun1/file_path_normalizer": "2.1.*"
    }
}